coordregistry.h File Reference

Provides access to a registry of all normal coordinate systems that can be used to create and store normal surfaces in 3-manifold triangulations. More...

`#include "surfaces/normalcoords.h"`
`#include "utilities/registryutils.h"`
`#include "surfaces/coordregistry-impl.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef NewFunction1 < NNormalSurfaceVector, size_t > | regina::NewNormalSurfaceVector
| A legacy typedef provided for backward compatibility only. More...

## Functions

template<typename FunctionObject >
FunctionObject::ReturnType | regina::forCoords (NormalCoords coords, FunctionObject func, typename FunctionObject::ReturnType defaultReturn)
| Allows the user to call a template function whose template parameter matches a given value of NormalCoords, which is not known until runtime. More...
template<typename VoidFunctionObject >
void | regina::forCoords (NormalCoords coords, VoidFunctionObject func)
| Allows the user to call a template function whose template parameter matches a given value of NormalCoords, which is not known until runtime. More...
template<typename FunctionObject >
FunctionObject::ReturnType | regina::forFlavour (NormalCoords coords, FunctionObject func, typename FunctionObject::ReturnType defaultReturn)
| A deprecated alias for the registry-based template function forCoords(). More...
template<typename VoidFunctionObject >
void | regina::forFlavour (NormalCoords coords, VoidFunctionObject func)
| A deprecated alias for the registry-based template function forCoords(). More...

## Detailed Description

Provides access to a registry of all normal coordinate systems that can be used to create and store normal surfaces in 3-manifold triangulations.

Each time a new coordinate system is created, the file coordregistry-impl.h must be updated to include it. Instructions on how to do this are included in coordregistry-impl.h.

External routines can access the registry by calling one of the forCoords() template functions defined in coordregistry.h.

Warning
  You should not include this header unless it is necessary, since it will automatically import every header for every coordinate system in the registry.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).